summaryrefslogtreecommitdiffstats
path: root/source/a/tar/tar.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/tar/tar.SlackBuild')
-rwxr-xr-xsource/a/tar/tar.SlackBuild28
1 files changed, 20 insertions, 8 deletions
diff --git a/source/a/tar/tar.SlackBuild b/source/a/tar/tar.SlackBuild
index 43181ccbe..21484f4cc 100755
--- a/source/a/tar/tar.SlackBuild
+++ b/source/a/tar/tar.SlackBuild
@@ -22,12 +22,20 @@
# Slackware build script for tar
-VERSION=1.22
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+VERSION=1.23
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j7}
+# Automatically determine architecture for build & packaging:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-tar
@@ -41,6 +49,8 @@ elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
fi
# This old version is the only one that won't clobber symlinks, e.g.:
@@ -58,7 +68,7 @@ tar xvf $CWD/tar-1.13.tar.gz || exit 1
cd tar-1.13 || exit 1
zcat $CWD/tar-1.13.bzip2.diff.gz | patch -p1 --verbose || exit 1
# The original config.{guess,sub} do not work on x86_64
-cp -p /usr/share/libtool/config.{guess,sub} .
+cp -p /usr/share/libtool/config/config.{guess,sub} .
chown -R root:root .
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -73,7 +83,7 @@ chmod 0755 $PKG/bin/tar-1.13
cd $TMP
rm -rf tar-$VERSION
-tar xvf $CWD/tar-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/tar-$VERSION.tar.xz || exit 1
cd tar-$VERSION || exit 1
chown -R root:root .
find . \
@@ -89,7 +99,7 @@ zcat $CWD/tar.norecordsizespam.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/tar.nolonezero.diff.gz | patch -p1 --verbose || exit 1
# Add support for *.txz files (our packages)
-zcat $CWD/tar-1.22-support_txz.diff.gz | patch -p1 --verbose || exit1
+zcat $CWD/tar-1.23-support_txz.diff.gz | patch -p1 --verbose || exit1
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -103,8 +113,10 @@ make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mv $PKG/usr/bin/tar $PKG/bin